#!/bin/sh

if [ x`id -u` != "x0" ]; then
  echo "You must have root rights to run this script"
  exit
fi

if [ -x "/opt/MyImport/MyImport" ] && [ -x "/opt/MyImport/MyImportC" ]; then
  cp "./MyImport" "/opt/MyImport" || exit
  echo
  echo "/opt/MyImport/MyImport is updated"
  echo
  cp "./MyImportC" "/opt/MyImport" || exit
  echo
  echo "/opt/MyImport/MyImportC is updated"
  echo
  echo 
  echo "MySQL Import updated successfully"
  echo
else
  if ! [ -x "/opt/MyImport/MyImport" ]; then
    echo
    echo "Previously installed file /opt/MyImport/MyImport not found."
  fi
  if ! [ -x "/opt/MyImport/MyImportC" ]; then
    echo
    echo "Previously installed file /opt/MyImport/MyImportC not found."
  fi
  echo
  echo "Update fail"
  echo
fi